Certificate Manager Private CA API, REST: PrivateCa.ImportCertificateAuthority
Imports an externally generated Certificate Authority (CA).
You can import an existing CA from external PKI systems.
HTTP request
POST https://private-ca.certificate-manager.api.yandexcloud.kz/privateca/v1/certificateAuthorities:import
Body parameters
{
"folderId": "string",
"name": "string",
"description": "string",
"certificateContent": "string",
"keyPair": "string",
"passphrase": "string",
"endEntitiesTtlLimitDays": "string",
"deletionProtection": "boolean"
}
Request to import an externally generated Certificate Authority (CA).
|
Field |
Description |
|
folderId |
string Required field. Folder ID where the CA is being created. The maximum string length in characters is 50. |
|
name |
string Required field. The name of the imported Certificate Authority. Value must match the regular expression |
|
description |
string A brief description of the imported Certificate Authority. The maximum string length in characters is 1024. |
|
certificateContent |
string Required field. PEM-encoded certificate content for the Certificate Authority. |
|
keyPair |
string Required field. PEM-encoded key pair content for the CA (private key). |
|
passphrase |
string PEM-encoded passphrase to decrypt the private key (if applicable). |
|
endEntitiesTtlLimitDays |
string (int64) TTL limit in days for end-entities signed by the CA. The maximum value is 20000. |
|
deletionProtection |
boolean Protect the CA from accidental deletion. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |